# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/secrets/{full_name}`

Gets a secret by its three-level (fully qualified) name.

 You must be a metastore admin, the owner of the secret, or have the **MANAGE**
 privilege on the secret.

 The secret value isn't returned by default. To retrieve it, you must also have the
 **READ_SECRET** privilege and set **include_value** to true in the request.

API scopes: unity-catalog

## Path parameters

- `full_name` (string, optional)
  The three-level (fully qualified) name of the secret
   (for example, **catalog_name.schema_name.secret_name**).

## Query parameters

- `include_value` (boolean, optional)
  Whether to include the secret value in the response. Defaults to false. Requires the
   **READ_SECRET** privilege.

## Returns

Returns the Secret object.

## Response

```json
{
  "name": "string",
  "owner": "string",
  "effective_owner": "string",
  "metastore_id": "string",
  "create_time": "string",
  "created_by": "string",
  "update_time": "string",
  "updated_by": "string",
  "comment": "string",
  "full_name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "value": "string",
  "effective_value": "string",
  "expire_time": "string"
}
```

